Subject: Re: Can you git clone -partial? I am looking to make a mobile app and it would be nice to have.

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Oct 2014 10:38:01 -0700

James Hancock <[email-masked]> writes:

> i am thinking about developing an app and I want to integrate it with
> git but I only want to store a portion of the file on disk. It is
> going to be in a mobile enviornment and I want to just get one file or
> a small group of files.
>
> I read that you can clone and then only look at one peice but is it
> possible just to clone one peice? And if not what would it take? Maybe
> this is a feature people would like to have. Just hypothetically, what
> would need to happen?
>
> Either
> git clonepartial /repo /file/or/folder/in/repo
> Or
> Git clone -partial /repo /file/or/folder/in/repo

You keep saying "file", but the thing is, Git does not track file.
It tracks history of collection of files.

What are you trying to achieve, exactly?  What does your "app" need
out of that operation?  Does it need these selected files with their
history?  Or does it only care about the contents of the selected
files at the tip of the 'master' branch of that repository?

I'd imagine that your answer would be the latter, and suspect that
you may want to run "git archive --remote" with a pathspec to limit
what gets grabbed.